logo
Welcome to our new AbleCommerce forums. As a guest, you may view the information here. To post to this forum, you must have a registered account with us, either as a new user evaluating AbleCommerce or an existing user of the application. For all questions related to the older version of Gold and earlier, please go to AbleCommerce Gold forum. Please use your AbleCommerce username and password to Login. New Registrations are disabled.

Notification

Icon
Error

Options
Go to last post Go to first unread
mgosp26416588  
#1 Posted : Monday, February 27, 2023 12:26:02 PM(UTC)
mgosp26416588

Rank: Newbie

Groups: Authorized User
Joined: 2/27/2023(UTC)
Posts: 0

When there is nothing in the cart and you try to check out there is a message about the minimum order value of $100. The format does not allow it to be read properly as it is all bunches together (see screenshot).

Screen Shot 2023-02-27 at 20.12.43.png (82kb) downloaded 1 time(s).


Wanna join the discussion?! Login to your AbleCommerce Forums forum account. New Registrations are disabled.

Katie S  
#2 Posted : Monday, February 27, 2023 1:01:25 PM(UTC)
Katie S

Rank: Advanced Member

Groups: System, Administrators, Developers, Registered, HelpDesk
Joined: 10/29/2018(UTC)
Posts: 442

Thanks: 4 times
Was thanked: 34 time(s) in 33 post(s)
Hi there,

Has this installation been upgraded at any time? If so, from what version(s)? This is a styling issue.

2023-02-27_10-57-25.png (23kb) downloaded 0 time(s).

The cart looks fine in my 9.0.7 install.
Thanks for your support!

Katie
Secure eCommerce Software and Hosting
mgosp26416588  
#3 Posted : Monday, February 27, 2023 1:09:34 PM(UTC)
mgosp26416588

Rank: Newbie

Groups: Authorized User
Joined: 2/27/2023(UTC)
Posts: 0

Hi, Katie.

We've been upgrading from 7.0.7 version, how can we fix it?
Katie S  
#4 Posted : Monday, February 27, 2023 1:26:20 PM(UTC)
Katie S

Rank: Advanced Member

Groups: System, Administrators, Developers, Registered, HelpDesk
Joined: 10/29/2018(UTC)
Posts: 442

Thanks: 4 times
Was thanked: 34 time(s) in 33 post(s)
Did you upgrade directly from 7.0.7 to 9.0.7? Or did you upgrade to/from different versions of 9?

I'm asking because there are stylesheet updates in the 9.0.x upgrades, but if you came directly from 7.0.7, then this would be a different issue.

For example, this is from the last version, upgrading from 9.0.6 to 9.0.7:

Quote:
### Post-Upgrade Instructions ###


1. Find the default "Sample" theme and locate the "default.css" file.
The file is located at \Website\Themes\Sample\Content\default.css

Copy this file to your custom store theme's \Content\ folder.
You should not have merge any changes unless you've customized this file.
If you have customized this file, then you can manually copy the code below into it.

Following style is added in sample theme default.css file:

.ui-autocomplete {
z-index: 9999 !important;
}


Each version upgrade has specific post-upgrade instructions that need to be applied to keep your stylesheets and themes updated.

Thanks for your support!

Katie
Secure eCommerce Software and Hosting
mgosp26416588  
#5 Posted : Monday, February 27, 2023 1:37:53 PM(UTC)
mgosp26416588

Rank: Newbie

Groups: Authorized User
Joined: 2/27/2023(UTC)
Posts: 0

We upgraded directly from 7.0.7. default.css files match from both themes (sample & ours).
Katie S  
#6 Posted : Monday, February 27, 2023 1:50:01 PM(UTC)
Katie S

Rank: Advanced Member

Groups: System, Administrators, Developers, Registered, HelpDesk
Joined: 10/29/2018(UTC)
Posts: 442

Thanks: 4 times
Was thanked: 34 time(s) in 33 post(s)
Please check the style.css file in the \Website\Themes\{your theme name}\Content\ folder.

/*------------------------------
ALERT
------------------------------*/

.alert {
border-radius:0;
border-width:2px;
padding:20px;
}

.alert-dismissable, .alert-dismissible {
padding-right:40px;
}

.alert .close i {
font-size:16px;
}

.alert-danger,
.alert-info,
.alert-success,
.alert-warning {
border-color:rgba(0,0,0,0.03);
}

.alert-danger {
color:#BA5B68;
background-color:#F5E1E1;
}

.alert-info {
color:#4B90AE;
background-color:#E1F5F4;
}

.alert-success {
color:#4BAE4F;
background-color:#E1F5E3;
}

.alert-warning {
color:#AEA64B;
background-color:#FAFAD2;
}
Thanks for your support!

Katie
Secure eCommerce Software and Hosting
mgosp26416588  
#7 Posted : Monday, February 27, 2023 2:02:22 PM(UTC)
mgosp26416588

Rank: Newbie

Groups: Authorized User
Joined: 2/27/2023(UTC)
Posts: 0

style.css match as well
Katie S  
#8 Posted : Monday, February 27, 2023 2:06:34 PM(UTC)
Katie S

Rank: Advanced Member

Groups: System, Administrators, Developers, Registered, HelpDesk
Joined: 10/29/2018(UTC)
Posts: 442

Thanks: 4 times
Was thanked: 34 time(s) in 33 post(s)
Ok, I did some more digging and found that this issue was recently reported.

https://www.ablecommerce...ximum-order-bug#post6035

The install I was testing already had the changes applied, so that's why I wasn't seeing the issue. I'm going to try and get you the fix, but first I need to track down the changes and test first.
Thanks for your support!

Katie
Secure eCommerce Software and Hosting
mgosp26416588  
#9 Posted : Monday, February 27, 2023 2:10:59 PM(UTC)
mgosp26416588

Rank: Newbie

Groups: Authorized User
Joined: 2/27/2023(UTC)
Posts: 0

Sure, no problem.
Katie S  
#10 Posted : Monday, February 27, 2023 2:32:12 PM(UTC)
Katie S

Rank: Advanced Member

Groups: System, Administrators, Developers, Registered, HelpDesk
Joined: 10/29/2018(UTC)
Posts: 442

Thanks: 4 times
Was thanked: 34 time(s) in 33 post(s)
It is super easy to fix the issue, open the _BasketContents.cshtml file in the \Website\Views\Checkout\ folder. There are 2 lines of code needing a small change.

Find:

Code:
<span class="alert alert-warning">Your order does not yet meet the minimum value of @(ViewBag.OrderMinimumAmount).  You must increase your purchase and click Recalculate, in order to checkout.</span>


Replace starting and ending "span" with "div"

Code:
<div class="alert alert-warning">Your order does not yet meet the minimum value of @(ViewBag.OrderMinimumAmount).  You must increase your purchase and click Recalculate, in order to checkout.</div>



Find:

Code:
<span class="alert alert-warning">Your order exceeds the maximum value of @(ViewBag.OrderMaximumAmount).  You must reduce your purchase and click Recalculate, in order to checkout.</span>


And again, replace starting and ending "span" with "div"

Code:
<div class="alert alert-warning">Your order exceeds the maximum value of @(ViewBag.OrderMaximumAmount).  You must reduce your purchase and click Recalculate, in order to checkout.</div>


I've tested this on 9.0.7 and confirmed it works.
Thanks for your support!

Katie
Secure eCommerce Software and Hosting
mgosp26416588  
#11 Posted : Monday, February 27, 2023 2:56:29 PM(UTC)
mgosp26416588

Rank: Newbie

Groups: Authorized User
Joined: 2/27/2023(UTC)
Posts: 0

I also confirm that your fix is working fine.

Thank you very much, Katie.
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.